Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor.html
Class HCalendarExtractor

    java.lang.Object
      org.apache.any23.extractor.html.MicroformatExtractor
          org.apache.any23.extractor.html.HCalendarExtractor

All Implemented Interfaces:
  Extractor<Document>, Extractor.TagSoupDOMExtractor

    public class HCalendarExtractor

extends MicroformatExtractor

Extractor for the hCalendar microformat.

Author:
  Gabriele Renzi

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.any23.extractor.Extractor
`Extractor.BlindExtractor, Extractor.ContentExtractor, Extractor.TagSoupDOMExtractor`

Field Summary
`static ExtractorFactory<HCalendarExtractor>` | `factory`

Fields inherited from class org.apache.any23.extractor.html.MicroformatExtractor
`BEGIN_SCRIPT, END_SCRIPT, valueFactory`

Constructor Summary
`HCalendarExtractor()`

Method Summary
`protected boolean` | `extract()` Performs the extraction of the data and writes them to the model.
`ExtractorDescription` | `getDescription()` Returns the description of this extractor.

Methods inherited from class org.apache.any23.extractor.html.MicroformatExtractor
`addBNodeProperty, addBNodeProperty, addURIProperty, conditionallyAddLiteralProperty, conditionallyAddResourceProperty, conditionallyAddStringProperty, fixLink, fixLink, getCurrentExtractionResult, getDocumentURI, getExtractionContext, getHTMLDocument, includes, openSubResult, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factory

    public static final ExtractorFactory<HCalendarExtractor> factory

Constructor Detail

### HCalendarExtractor

    public HCalendarExtractor()

Method Detail

### getDescription

    public ExtractorDescription getDescription()

  Description copied from class: `MicroformatExtractor`
  Returns the description of this extractor.

  Specified by:
    `getDescription` in interface `Extractor<Document>`
  Specified by:
    `getDescription` in class `MicroformatExtractor`
  Returns:
    a human readable description.

### extract

    protected boolean extract()
                       throws ExtractionException

  Description copied from class: `MicroformatExtractor`
  Performs the extraction of the data and writes them to the model. The nodes generated in the model can have any name or implicit label but if possible they SHOULD have names (either URIs or AnonId) that are uniquely derivable from their position in the DOM tree, so that multiple extractors can merge information.

  Specified by:
    `extract` in class `MicroformatExtractor`
  Throws:
    `ExtractionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.